Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 784620 - dev-qt/qtpaths (and others?) uses old CC/CXX value from some other package
Summary: dev-qt/qtpaths (and others?) uses old CC/CXX value from some other package
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: tc-directly
  Show dependency tree
 
Reported: 2021-04-21 06:17 UTC by Michał Górny
Modified: 2021-04-21 06:23 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
/var/log/portage/dev-qt:qtpaths-5.15.2:20210421-061417.log (dev-qt:qtpaths-5.15.2:20210421-061417.log,3.01 KB, text/plain)
2021-04-21 06:17 UTC, Michał Górny
Details
emerge-info.txt (emerge-info.txt,10.13 KB, text/plain)
2021-04-21 06:17 UTC, Michał Górny
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2021-04-21 06:17:05 UTC
Created attachment 701364 [details]
/var/log/portage/dev-qt:qtpaths-5.15.2:20210421-061417.log

CXX at the time of build is:

  x86_64-pc-linux-gnu-g++-10.3.0

Yet the build system gets 10.2.0 from somewhere and uses that instead.
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2021-04-21 06:17:29 UTC
Created attachment 701367 [details]
emerge-info.txt